> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/cosmos-hub/ibc-apps-transfer-v1-denom_traces-hash.md).

# /ibc/apps/transfer/v1/denom\_traces/{hash}

DenomTrace queries a denomination trace information.

#### **Parameters:**

**hash - string**, hash (in hex format) or denom (full denom with ibc prefix) of the denomination trace information.

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl -X GET -H 'Content-Type: application/json' https://cosmos.blockpi.network/lcd/v1/<your-api-key>/ibc/apps/transfer/v1/denom_traces/{hash}

// Result

```

{% endcode %}
